/**
 * 
 */
package de.mcs.tools.sps.ui.views.assemblerview;

import com.vaadin.flow.component.combobox.ComboBox;
import com.vaadin.flow.component.html.Div;
import com.vaadin.flow.component.html.H2;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.component.textfield.TextArea;
import com.vaadin.flow.router.PageTitle;
import com.vaadin.flow.router.Route;

import de.mcs.tools.sps.ui.MainLayout;

/**
 * @author w.klaas
 *
 */
@Route(value = "", layout = MainLayout.class)
@PageTitle("Assembler")
public class AssemblerView extends VerticalLayout {

  private final H2 header = new H2("SPSAssembler");
  private final TextArea source = new TextArea("source");
  private final ComboBox<String> hardware = new ComboBox<>("Hardware:");
  private final ComboBox<String> outputFormat = new ComboBox<>("Output Format:");

  /**
   * 
   */
  public AssemblerView() {
    initView();

    Div viewToolbar = new Div();
    viewToolbar.addClassName("view-toolbar");
    viewToolbar.add(header);
    viewToolbar.add(hardware);
    viewToolbar.add(outputFormat);
    add(viewToolbar);

    VerticalLayout container = new VerticalLayout();
    container.setClassName("view-container");
    container.setAlignItems(Alignment.STRETCH);
    source.setSizeFull();
    container.add(source);
    add(container);
  }

  private void initView() {
    addClassName("assembler-view");
    setDefaultHorizontalComponentAlignment(Alignment.STRETCH);
  }

}
